Bug 797094 - glibc: unbound alloca use in nscd_getserv_r and glob_in_dir
Summary: glibc: unbound alloca use in nscd_getserv_r and glob_in_dir
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Jeff Law
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-24 09:19 UTC by Tomas Hoger
Modified: 2015-01-29 10:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 12:09:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0763 normal SHIPPED_LIVE glibc bug fix and enhancement update 2012-06-19 20:35:39 UTC
Sourceware 12671 None None None Never

Description Tomas Hoger 2012-02-24 09:19:20 UTC
Description of problem:
Upstream has fixed couple of unbound alloca uses which can lead to program crashes if excessively long inputs are passed to certain functions.

http://sourceware.org/bugzilla/show_bug.cgi?id=12671
http://sourceware.org/git/?p=glibc.git;a=commitdiff;h=f2962a71959fd254a7a223437ca4b63b9e81130c

covers cases that can be triggered via getaddrinfo, getservbyname* and glob.

http://sourceware.org/git/?p=glibc.git;a=commitdiff;h=34a9094f49241ebb72084c536cf468fd51ebe3ec

covers other alloca uses inside getaddrinfo.

Version-Release number of selected component (if applicable):
glibc-2.12-1.47.el6_2.5

Comment 5 errata-xmlrpc 2012-06-20 12:09:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0763.html


Note You need to log in before you can comment on or make changes to this bug.